All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.collection
Interface DictionaryInterface

All Superinterfaces:
  java.lang.Cloneable, CollectionInterface, com.sas.collection.ContentsChangedSource, com.sas.util.Countable, com.sas.util.Enumerable, com.sas.beans.PropertyChangeSource, com.sas.PublicClonable, StaticCollectionInterface, StaticDictionaryInterface

All Known Subinterfaces:
  AssociationListInterface

All Known Implementing Classes:
  AssociationList, ColorNameList, Dictionary, RGBList

    public interface DictionaryInterface

extends StaticDictionaryInterface, CollectionInterface

A dictionary interface, for objects which store and retrieve values by name

Method Summary
`abstract java.lang.Object` | `clone()` Clone the object.
`abstract boolean` | `remove(java.lang.Object item)` Remove and item from this dictionary.
`abstract void` | `removeAt(java.lang.Object key)` Remove the item corresponding to the specified key.
`abstract void` | `set(java.lang.Object key, java.lang.Object item)` Put an item into this dictionary, possibly replacing a previous item that was there by the same key (although such behavior is defined by the implementation).

Methods inherited from interface com.sas.collection.StaticDictionaryInterface
`containsKey, get, getKey, getKeys, getKeys`

Methods inherited from interface com.sas.collection.CollectionInterface
`add, addItems, removeAll, removeAll`

Methods inherited from interface com.sas.collection.StaticCollectionInterface
`apply, contains`

Methods inherited from interface com.sas.collection.ContentsChangedSource
`addContentsChangedListener, removeContentsChangedListener`

Methods inherited from interface com.sas.beans.PropertyChangeSource
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface com.sas.util.Countable
`count`

Methods inherited from interface com.sas.util.Enumerable
`getItems`

Method Detail

### remove

    boolean remove(java.lang.Object item)

  Remove and item from this dictionary. If the item exists multiple times under different keys, only one occurrence is removed; it is undetermined which of the multiple occurrences will be removed.

  Specified by:
    `remove` in interface `CollectionInterface`
  Parameters:
    `item` - the item to be removed.
  Returns:
    true if the item was removed, false otherwise

### removeAt

    void removeAt(java.lang.Object key)

  Remove the item corresponding to the specified key.

  Parameters:
    `key` - remove the item which corresponds to this key

### set

    void set(java.lang.Object key,
             java.lang.Object item)

  Put an item into this dictionary, possibly replacing a previous item that was there by the same key (although such behavior is defined by the implementation). The Object.hashCode() method is used to hash the key. Unlike `Hashtable`, a Dictionary allows the key and value to be null.

  Parameters:
    `key` - the key by which the item may be retrieved later.
    `item` - the value to put into this Dictionary

### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone the object.

  Specified by:
    `clone` in interface `CollectionInterface`
  Specified by:
    `clone` in interface `com.sas.PublicClonable`
  Specified by:
    `clone` in interface `StaticCollectionInterface`
  Specified by:
    `clone` in interface `StaticDictionaryInterface`
  Returns:
    a clone of this dictionary.
  Throws:
    `java.lang.CloneNotSupportedException` - if the object could not be cloned.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.